Bug 14207 - Improving circulation performance by caching yaml file
Summary: Improving circulation performance by caching yaml file
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian FIOL
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 10212
Blocks: 7923
  Show dependency treegraph
 
Reported: 2015-05-15 13:20 UTC by Julian FIOL
Modified: 2016-12-05 21:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Caching yaml file (requirements, test plans and proofs) (653.57 KB, application/pdf)
2015-05-15 13:20 UTC, Julian FIOL
Details
Bug 14207 - Improving circulation performance by caching yaml file (3.73 KB, patch)
2015-05-15 13:28 UTC, Julian FIOL
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14207: Improving circulation performance by caching yaml file (3.91 KB, patch)
2015-05-16 00:25 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 14207 - Improving circulation performance by caching yaml file (1.60 KB, patch)
2015-05-26 12:57 UTC, Julian FIOL
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14207 - Improving circulation performance (1.75 KB, patch)
2015-06-19 23:49 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 14207 - Improving circulation performance (1.80 KB, patch)
2015-06-22 11:04 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian FIOL 2015-05-15 13:20:16 UTC
Created attachment 39210 [details]
Caching yaml file (requirements, test plans and proofs)

This patch improve circulation performance by caching yaml file

With this patch we saved between 300ms and 500ms on circulation page. 

All requirements, test plans and proofs are explained in the attached PDF file.
Comment 1 Julian FIOL 2015-05-15 13:28:46 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2015-05-16 00:25:36 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-05-26 11:33:11 UTC
Julian,
I think it's a really good idea to cache the yaml file.

Could you please resubmit a patch without the useless warnings and without the tidy up (alignment, superfluous carriage return). You should not tidy lines if you don't modify them.

Tomas, could you confirm me there is a best practice to restart the memcache server on upgrading?
Comment 4 Julian FIOL 2015-05-26 12:57:01 UTC Comment hidden (obsolete)
Comment 5 Bernardo Gonzalez Kriegel 2015-06-19 23:49:55 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-06-22 11:04:18 UTC
Created attachment 40457 [details] [review]
Bug 14207 - Improving circulation performance

by caching yaml file This patch improve circulation performance by caching yaml file With this patch we saved between 300ms and 500ms on circulation page.

Following Comment #3 :
No useless warn
No tidy

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Less lines, same result.
Comments were useful on testing :)
No errors

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 7 Jonathan Druart 2015-06-22 11:06:41 UTC
Restart the cache server should be a best practice on upgrading (it should already be the case).
Comment 8 Tomás Cohen Arazi 2015-07-07 18:31:15 UTC
Patch pushed to master.

Thanks Julian!